@extends('themes.default.common.master') 
@section('content')
<section class="uk-section ">
    <div class=" uk-visible-toggle uk-light" tabindex="-1" uk-slideshow="animation: fade;  autoplay: false; autoplay-interval: 3000;">
        <ul class="uk-slideshow-items  uk-padding-left-large" style=" height:100vh;" uk-height-viewport="offset-top: true; offset-bottom: 0.1">
           @if($banner->count() > 0)
           @foreach($banner as $value)
            <li>
                <div class="uk-child-width-1-2@m uk-grid-small " uk-grid>
                    <div class=" uk-main-slider" >
                        <h5 uk-slideshow-parallax="x: 100,-100">{{$value->title}}</h5>
                        <p class="uk-banner-paragraph" uk-slideshow-parallax="x: 100,-100">
                          {{$value->caption}}
                        </p>
                        <div>
                            <a href="{{ $value->link }}" class="uk-button uk-primary text-light " target="_blank">{{ $value->link_title }}</a>
                        </div>
                    </div>
                    <div class="uk-main-slider-img uk-padding-remove uk-visible@m">
                        <img src="{{asset('uploads/banners/'.$value->picture)}}" alt="{{ $value->title }}">
                    </div>
                </div>
            </li>
            @endforeach
        @endif
        </ul>
        <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slideshow-item="previous"></a>
        <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slideshow-item="next"></a>
    </div>
</section>

<section class="uk-section section-padding-e">
    <div class="uk-container uk-about">
        <div class="uk-child-width-1-2@m uk-padding-small reverses" uk-height-match="target: .about-content" uk-grid>
            <div class="about-content uk-flex uk-flex-column uk-flex-center">
                <div class="media-500">
                    <img src="{{asset('uploads/original/' . $about->page_thumbnail)}}" class="uk-image" alt="{{ $about->post_title }}">
                </div>
                <div class="uk-about-block uk-light uk-text-center">
                    <div class="uk-margin-remove text-light uk-text-uppercase">{!! $about->post_excerpt !!}</div>
                    
                </div>
            </div>
            <div class="about-content uk-flex uk-flex-column uk-flex-center pl-50">
                <h1>{{ $about->post_title }}</h1>
                {!! $about->post_content !!}
                <div>
                    <a href="{{ url('page/' . posttype_url('about')) }}" class="uk-button uk-primary text-light ">LEARN MORE</a>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- SERVICES SECTION -->
<section class="uk-section section-padding grey-bg">
   <div class="uk-container uk-text-center">
      <h1>Services</h1>
      <h2>What We Are Offering</h2>
      <div class="uk-position-relative uk-visible-toggle uk-slider uk-slider-container "  uk-slider="sets: true" >
            <ul class="uk-slider-items uk-child-width-1-1 uk-child-width-1-2@s uk-child-width-1-3@m uk-margin-top"  style="transform: translate3d(0px, 0px, 0px);" >
               @foreach ($services as $value)
                    <li class="uk-padding-small">
                    <div class="uk-card uk-card-default section-card">
                        <div class="uk-card-media-top uk-padding-small uk-padding-remove-bottom">
                            <img src="@if($value->page_thumbnail) {{asset('uploads/original/' . $value->page_thumbnail)}}
                             @else {{asset('uploads/default-placeholder.png')}} @endif" width="80" height="1200" alt="{{ $value->post_title }}">
                        </div>
                        <div class="uk-card-body uk-padding-small">
                            <h3>{{ $value->post_title }}</h3>
                            <p>{{ $value->sub_title }}</p>
                            <a href="{{url(geturl($value['uri'], $value['page_key']))}}" class="servives-button">Learn More<span uk-icon="icon: chevron-double-right"></span></a>
                        </div>
                    </div>
                </li>
               @endforeach
               
             
            </ul>
            <a class="uk-position-center-left uk-position-small " href="#" uk-slidenav-previous uk-slider-item="previous"></a>
            <a class="uk-position-center-right uk-position-small" href="#" uk-slidenav-next uk-slider-item="next"></a> 
         <ul class="uk-slider-nav uk-dotnav uk-flex-center uk-margin"></ul>
      </div>
   </div>
</section>
<!-- END OF SERVICES -->

<section class="uk-section section-padding-">
    <div class="uk-container uk-about">
        <div class="uk-child-width-1-2@m uk-padding-small" uk-height-match="target: .about-content--two" uk-grid>
            <div class="about-content--two uk-flex uk-flex-column uk-flex-center pl-50">
                <h1>{{ $whywithus->post_title }}</h1>
                <h2>{{ $whywithus->sub_title }}</h2>
                {{-- <p class="uk-margin-small-bottom">Insurance policies may also include other benefits such as coverage for several external factors</p> --}}
                {!!$whywithus->post_content!!}
                <ul class="uk-margin-small-top">
                 @foreach (associated_posts($whywithus->id) as $value1)
                
                    <li>
                        <div class="uk-flex uk-flex-between uk-flex-center" > 
                            <div class="">
                                <img src="{{ asset('uploads/original/'.$value1->thumbnail) }}" style="height: 100px; width:120px; object-fit:contain;"  alt="{{ $value->title }}">
                            </div>
                            <div class="pl-40">
                                <h3 class="uk-margin-small">{{ $value1->title }}</h3>
                                <p class="uk-margin-remove">{!! $value1->content !!}</p>
                            </div>
                        </div>
                    </li>
                    @endforeach
                </ul>
            </div>
            <div class="about-content--two pl-50">
                <div class="media-600">
                     @if($whywithus->page_thumbnail)
                       <img src="{{asset('uploads/original/' . $whywithus->page_thumbnail)}}" class="uk-image" alt="{{ $whywithus->post_title }} ">
                         @else
                    <img src="{{ asset('themes-assets/images/default.png') }}">
                    @endif
                </div>
            </div>
        </div>
    </div>
</section>

<!-- ad section -->
<section class="uk-section section-padding uk-container">
    <div class="uk-container black-bg">
    <ul class=" uk-child-width-1-2@s  uk-padding  " uk-grid >
            <li class="uk-content-center">
                <div class="text-light">
                    {!! $contact->caption !!} 
                </div>
                <div class="uk-flex ">
                    <div class="uk-margin-right"> <a href="{{ url('page/' . posttype_url($contact->uri)) }}" class="text-light uk-button uk-primary uk-margin-top">CONTACT US</a></div>
                </div>
            </li>
            <li class="uk-text-center  ">
                <div class="">
                    <img src="{{asset('uploads/original/' . $contact->featured)}}" alt="{{ $contact->post_type }}"  style="height:300px;">
                </div>
            </li>
        </ul>
    </div>
    </div>
</section>
<!-- end of add section -->
@endsection
