@extends('themes.default.common.master')
@section('title',$data->post_type)
@section('meta_keyword',$data->meta_keyword)
@section('meta_description',$data->meta_description)
@section('thumbnail',$data->banner)
@section('content')
<section class="uk-margin-large-top">
    <div class="uk-page--banner uk-section-padding uk-light">
        <h2 class="uk-margin-small">About</h2>
        <ul class="uk-breadcrumb uk-margin-small">
            <li class="text-light"><a href="{{ url('/') }}">Home</a></li>
            <li class="text-light"><a href="">About</a></li>
        </ul>
    </div>
</section>

@foreach ($posts->take(1) as $value)
<section class="uk-section section-padding-page">
    <div class="uk-container uk-about">
        <div class="uk-child-width-1-2@m uk-padding-small reverse" uk-height-match="target: .about-content" uk-grid>
            <div class="about-content uk-flex uk-flex-column uk-flex-center">
                <div class="media-500">
                     @if($value->page_thumbnail)
                       <img src="{{asset('uploads/original/' . $value->page_thumbnail)}}" class="uk-image" alt="{{ $value->post_title }} ">
                         @else
                    <img src="{{ asset('themes-assets/images/default.png') }}">
                    @endif
                </div>
                
            </div>
            <div class="about-content uk-flex uk-flex-column uk-flex-center pl-50">
                <h1>{{ $value->post_title }}</h1>
                 {!! $value->post_content !!}
            </div>
        </div>
    </div>
</section>
@endforeach

@foreach ($posts->skip(1)->take(1) as $value)
<section class="uk-section section-padding-page">  
    <div class="uk-container uk-about">
        <div class="uk-child-width-1-2@m uk-padding-small" uk-height-match="target: .about-content--two" uk-grid>
            <div class="about-content--two uk-flex uk-flex-column uk-flex-center pl-50">
                <h1>{{ $value->post_title }}</h1>
                <h2>{{ $value->sub_title }}</h2>
                {!!$value->post_content!!}
                <ul class="uk-margin-small-top"> 
                    @foreach (associated_posts($value->id) as $value1)
                
                    <li>
                        <div class="uk-flex uk-flex-between uk-flex-center" > 
                            <div class="">
                                <img src="{{ asset('uploads/original/'.$value1->thumbnail) }}" style="height: 100px; width:120px; object-fit:contain;"  alt="{{ $value->title }}">
                            </div>
                            <div class="pl-40">
                                <h3 class="uk-margin-small">{{ $value1->title }}</h3>
                                <p class="uk-margin-remove">{!! $value1->content !!}</p>
                            </div>
                        </div>
                    </li>
                    @endforeach
              
                </ul>
            </div>
            <div class="about-content--two pl-50">
                
                <div class="media-600">
                      @if($value->page_thumbnail)
                       <img src="{{asset('uploads/original/' . $value->page_thumbnail)}}" class="uk-image" alt="{{ $value->post_title }} ">
                         @else
                    <img src="{{ asset('themes-assets/images/default.png') }}">
                    @endif
                </div>
            </div>
        </div>
    </div>
</section>
@endforeach


@foreach ($posts->skip(2)->take(1) as $value)
<section class="uk-section section-padding-page">
    <div class="uk-container uk-about">
            <div class="about-content--three uk-padding-small">
                <h1>{{ $value->post_title }}</h1>
                <h2>{{ $value->sub_title }}</h2>
                {!! $value->post_content !!}
            </div>
    </div>
</section>
@endforeach
@stop