@extends('themes.default.common.master')
@section('title',$data->post_type)
@section('meta_keyword',$data->meta_keyword)
@section('meta_description',$data->meta_description)
@section('thumbnail',$data->banner)
@section('content')

<section class="uk-margin-large-top">
    <div class="uk-page--banner uk-section-padding uk-light">
        <h2 class="uk-margin-small">Contact Us</h2>
        <ul class="uk-breadcrumb uk-margin-small">
            <li class="text-light"><a href="{{ url('/') }}">Home</a></li>
            <li class="text-light"><a href="">{{ $data->post_type }}</a></li>
        </ul>
    </div>
</section>
<section class="section-padding-e">
    <div class="uk-container">
        <div class="uk-child-width-1-2@m uk-padding-small" uk-height-match="target: .about-content" uk-grid>

            <div class="uk-flex uk-flex-column uk-flex-center pl-50">
                <h1>Contact Us</h1>
                <h2>Contact For Any Query</h2>
                <p class="uk-margin-small-bottom">For assistance or inquiries, contact us promptly. We're here to address any issues or questions you may have.</p>
                <ul class="uk-margin-top">
                    <li>
                        <div class="uk-flex  uk-flex-start uk-margin-bottom">
                            <div class="uk-primary contact-box  text-light">
                                <i class="fa-solid fa-phone"></i>
                            </div>
                            <div class="pl-40">
                                <h3 class="uk-margin-small">Call for any query!</h3>
                                <p class="uk-margin-remove">{{$setting->phone}} </p>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="uk-flex  uk-flex-start uk-margin-bottom">
                            <div class="uk-primary contact-box  text-light">
                                <i class="fa-solid fa-location-dot"></i>
                            </div>
                            <div class="pl-40">
                                <h3 class="uk-margin-small">Address</h3>
                                <p class="uk-margin-remove"> {{$setting->location1}}</p>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="uk-flex  uk-flex-start uk-margin-bottom">
                            <div class="uk-primary contact-box  text-light">
                                <i class="fa-solid fa-paper-plane"></i>
                            </div>
                            <div class="pl-40">
                                <h3 class="uk-margin-small">Email</h3>
                                <p class="uk-margin-remove">{{$setting->email_primary}}</p>
                            </div>
                        </div>
                    </li>

                </ul>
            </div>
            <div class="uk-flex uk-flex-column uk-flex-center">
                <div class="media-550">
                 <iframe class="" style="object-fit: cover; width:100%; height:100%;" src="{{ $setting->google_map2 }}" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade" frameborder="0" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
