<!DOCTYPE html>
<html>
<head>
    <title><?php echo e($setting->site_name); ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="google-site-verification" content=""/>
      <meta name="keywords" content="<?php echo $__env->yieldContent('meta_keyword'); ?> - <?php echo e($setting->meta_key); ?>">
   <meta name="description" content="<?php echo $__env->yieldContent('meta_description'); ?> -<?php echo e($setting->meta_description); ?>">
    <meta property="og:type" content="website" />
    <meta property="og:title" content="<?php echo $__env->yieldContent('title'); ?>" />
    <meta property="og:url" content="<?php echo e(url()->current()); ?>" />
    <meta property="og:site_name" content="<?php echo e($setting->site_name); ?>" />
    <meta property="og:description" content="<?php echo $__env->yieldContent('meta_description'); ?>" />
     <?php if(trim($__env->yieldContent('thumbnail'))): ?>
    <meta property="og:image" content="<?php echo e(asset( env('PUBLIC_PATH') . 'uploads/original/' )); ?>/<?php echo $__env->yieldContent('thumbnail'); ?>" />
    <?php else: ?>
    <meta property="og:image" content="<?php echo e(asset(env('PUBLIC_PATH').'/themes-assets')); ?>/images/logo.svg" />
    <?php endif; ?>
    <meta property="og:image:width" content="1000" />
    <meta property="og:image:height" content="600" />
    <meta name="twitter:image" content="<?php echo e(asset( env('PUBLIC_PATH') . 'uploads/original/' )); ?>/<?php echo $__env->yieldContent('thumbnail'); ?>" />
    <meta name="twitter:url" content="<?php echo e(url()->current()); ?>">
    <meta name="twitter:title" content="<?php echo $__env->yieldContent('title'); ?>">
    <meta name="twitter:description" content="<?php echo $__env->yieldContent('meta_description'); ?>">
    <meta name="twitter:card" content="summary_large_image" />
    <!-- favicon -->
    <link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset( 'themes-assets' )); ?>/favicon/favicon-16x16.png">
    <link rel="manifest" href="<?php echo e(asset('themes-assets/favicon/manifest.json')); ?>">
    <meta name="msapplication-TileColor" content="#674336">
    <meta name="msapplication-TileImage" content="<?php echo e(asset( 'themes-assets' )); ?>/favicon/ms-icon-144x144.png">
    <meta name="theme-color" content="#674336">
    <!-- end favicon -->
    <!-- required css  -->
    <link rel="stylesheet" href="<?php echo e(asset('themes-assets/css/app.css')); ?>"/>
    <!-- end -->
    <script type='text/javascript'
            src='https://platform-api.sharethis.com/js/sharethis.js#property=60b90467b061470018546c76&product=sop'
            async='async'></script>
</head>
<body>
<!-- header start -->
<header class=" uk-position-top">
    <!-- end mobile top menu -->
    <div class="uk-main-header   uk-navbar-container uk-navbar-transparent"
         uk-sticky="top: 0; animation:uk-animation-fade uk-animation-slow uk-transform-origin-bottom-center">
        <div class="uk-container">
            <nav class="uk-navbar d-flex uk-flex-middle" uk-navbar>
                <div class="uk-navbar-left ">
                    <a class="uk-navbar-item uk-logo " href="<?php echo e(url('/')); ?>">
                        <img src="<?php echo e(asset('themes-assets/images/logo-white.svg')); ?>" alt="" class="uk-logo-white" width="120">
                        <img src="<?php echo e(asset('themes-assets/images/logo.svg')); ?>" alt="" class="uk-logo-dark" width="120">
                        <!-- <img src="images/logo-primary.svg" alt="" class="uk-logo-primary" width="120">  -->
                    </a>
                </div>
<div class="uk-navbar-right">
    <!-- start desktop menu -->
    <ul class="uk-navbar-nav uk-position-relative uk-visible@m">
        <li><a href="<?php echo e(url('/')); ?>"> Home</a></li>
        <!--  -->
         <?php if($navigations->count()): ?>
            <?php $__currentLoopData = $navigations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(getposts($row->id)->count() > 0 && $row->id == 10 || $row->id == 27 || $row->id == 28 ): ?>
                    <li>
                        <a href=""><?php echo e($row->post_type); ?>

                        <span class="" uk-icon="icon: chevron-down;"></span>
                        </a>
                    <ul class="uk-menu-list bg-black "
                        uk-dropdown="delay-hide: 10; uk-animation-slide-top-small; duration: 300;">                          
                        <?php $__currentLoopData = getposts($row->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                    <?php if(has_child_post($_row->id)): ?>
                     <a href="<?php echo e(url(geturl($_row['uri'], $_row['page_key']))); ?>"><?php echo e($_row->post_title); ?> <span class="uk-margin-remove uk-align-right " uk-icon="icon: chevron-right; ratio: 1;"></span></a>
                     <div uk-dropdown="pos: right-top; offset: 0; delay-hide: 200;" class="uk-dropdown uk-padding-remove">
                        <ul class="uk-menu-list bg-black ">
                        <?php $__currentLoopData = has_child_post($_row->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $__row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><a href="<?php echo e(url(geturl($__row['uri'], $__row['page_key']))); ?>"><?php echo e($__row->post_title); ?></a></li>
                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                     </div>
                     <?php else: ?>
                    <a href="<?php echo e(url(geturl($_row['uri'], $_row['page_key']))); ?>" title=""><?php echo e($_row->post_title); ?></a>
                       <?php endif; ?>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </li>
                <?php else: ?>
            <li><a href="<?php echo e(url('page/' . posttype_url($row->uri))); ?>" title=""><?php echo e($row->post_type); ?></a></li>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
        <!-- -->                                    

        <!-- -->
        </ul>
        <!-- end desktop menu -->

<!-- mobile menu button -->
<ul class="uk-navbar-nav">
    <li>
        <a class="uk-navbar-toggle uk-hidden@m uk-light" uk-toggle="target: #offcanvas-reveal"
           uk-navbar-toggle-icon></a>
    </li>
</ul>
<!-- mobile menu button -->
    </div>
</nav>
</div>
</div>
</header>
<!-- header end -->
<!-- start mobile menu -->
<div id="offcanvas-reveal" uk-offcanvas=" overlay: true;  flip: true">
    <div class="uk-offcanvas-bar uk-padding-remove">
        <div class="uk-margin-remove bg-white uk-padding-small uk-position-relative uk-dark">
            <div class="uk-flex uk-flex-between uk-flex-middle">
                <div>
                <a class="" href="<?php echo e(url('/')); ?>"> <img src="<?php echo e(asset('themes-assets/images/logo.svg')); ?>" alt="Logo" class="uk-logo-light" width="90"> </a>
                </div>
                <div>
                    <button class="uk-offcanvas-close uk-close-large uk-position-relative" type="button" uk-close></button>
                </div>
            </div>
        </div>
<nav class="uk-padding-large uk-padding-remove-left uk-padding-remove-right">
    <ul class="uk-navsidebar  uk-nav-parent-icon uk-nav-left uk-margin-auto-vertical" uk-nav="multiple: false">
        <li><a href="<?php echo e(url('/')); ?>">Home</a></li>
            <!-- -->
    <?php if($navigations->count()): ?>
        <?php $__currentLoopData = $navigations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if(getposts($row->id)->count() > 0 && $row->id == 28): ?>        
             <li class="uk-parent uk-active">
               <a href="#"><?php echo e($row->post_type); ?></a>
               <ul class="uk-nav-parent-icon uk-nav" uk-nav="multiple: false" aria-hidden="true" hidden="">
                 <?php $__currentLoopData = getposts($row->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                 <?php if(has_child_post($_row->id)): ?>
                  <li class="uk-parent">
                     <a href=""><?php echo e($_row->post_title); ?></a>
                     <ul class="uknavsub" aria-hidden="true" hidden="">
                        <?php $__currentLoopData = has_child_post($_row->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $__row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><a href="<?php echo e(url(geturl($__row['uri'], $__row['page_key']))); ?>"><?php echo e($__row->post_title); ?></a></li>
                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                     </ul>
                  </li>
                 <?php else: ?>
                 <li><a href="<?php echo e(url(geturl($_row['uri'], $_row['page_key']))); ?>"><?php echo e($_row->post_title); ?></a> </li>
                  <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </ul>
            </li>
            
            <?php elseif(getposts($row->id)->count() > 0 &&  $row->id == 27 ): ?>
            
    <li class="uk-parent">
        <a href="#"><?php echo e($row->post_type); ?> </a>
        <ul class="uknavsub">
        <?php $__currentLoopData = getposts($row->id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $_row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li>           
           <a href="<?php echo e(url(geturl($_row['uri'], $_row['page_key']))); ?>" title=""><?php echo e($_row->post_title); ?></a> 
       </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </ul>
    </li>    
              
 <?php else: ?>
<li><a href="<?php echo e(url('page/' . posttype_url($row->uri))); ?>"  title=""><?php echo e($row->post_type); ?></a></li>
<?php endif; ?>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php endif; ?>

</ul>
</nav>
<hr>
<div class="uk-child-width-auto   uk-flex-center" uk-grid>
    <div>
        <a class="uk-link uk-icon-button" rel="noreferrer" href="<?php echo e($setting->facebook_link); ?>" uk-icon="icon: facebook;"></a>
    </div>
    <div>
        <a class="uk-link uk-icon-button" rel="noreferrer" href="<?php echo e($setting->youtube_link); ?>" uk-icon="icon: youtube;"></a>
    </div>
    <div>
        <a class="uk-link uk-icon-button" rel="noreferrer" href="<?php echo e($setting->twitter_link); ?>" uk-icon="icon: twitter;"></a>
    </div>
    <div>
        <a class="uk-link uk-icon-button" rel="noreferrer" href="<?php echo e($setting->instagram_link); ?>" uk-icon="icon: instagram;"></a>
    </div>
</div>
</div>
</div>
<!-- end mobile menu -->
<!-- end header --><?php /**PATH /home/durgaholdings/public_html/resources/views/themes/default/common/header.blade.php ENDPATH**/ ?>